import type { SelectedAriaAttributes, DrilldownAriaAttribute, Theme } from '../types';
type PDrilldownProps = {
    /**
     * Defines which drilldown-item to be visualized as opened.
     */
    activeIdentifier?: string | undefined;
    /**
     * Add ARIA attributes.
     */
    aria?: SelectedAriaAttributes<DrilldownAriaAttribute>;
    /**
     * If true, the drilldown is visualized as opened.
     */
    open?: boolean;
    /**
     * Adapts the drilldown color depending on the theme.
     */
    theme?: Theme;
};
declare function __VLS_template(): {
    default?(_: {}): any;
};
declare const __VLS_component: import("vue").DefineComponent<PDrilldownProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, any, string, import("vue").PublicProps, any, {
    open: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, ReturnType<typeof __VLS_template>>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
