import type { SelectedAriaAttributes, SheetAriaAttribute, Theme } from '../types';
type PSheetProps = {
    /**
     * Add ARIA attributes.
     */
    aria?: SelectedAriaAttributes<SheetAriaAttribute>;
    /**
     * If true, the sheet will not be closable via backdrop click.
     */
    disableBackdropClick?: boolean;
    /**
     * If false, the sheet will not have a dismiss button.
     */
    dismissButton?: boolean;
    /**
     * If true, the sheet is open.
     */
    open: boolean;
    /**
     * Adapts the sheet color depending on the theme.
     */
    theme?: Theme;
};
declare function __VLS_template(): {
    default?(_: {}): any;
};
declare const __VLS_component: import("vue").DefineComponent<PSheetProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, any, string, import("vue").PublicProps, any, {
    open: boolean;
    dismissButton: boolean;
    disableBackdropClick: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, ReturnType<typeof __VLS_template>>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
