import type { TextListListType, TextListOrderType, Theme, TextListType } from '../types';
type PTextListProps = {
    /**
     * @deprecated since v3.0.0, will be removed with next major release, use `type` instead. The type of the list.
     */
    listType?: TextListListType;
    /**
     * @deprecated since v3.0.0, will be removed with next major release, use `type` instead. The list style type of ordered list. Only has effect when list type is set to 'ordered'.
     */
    orderType?: TextListOrderType;
    /**
     * Adapts the text color depending on the theme.
     */
    theme?: Theme;
    /**
     * The list style type.
     */
    type?: TextListType;
};
declare function __VLS_template(): {
    default?(_: {}): any;
};
declare const __VLS_component: import("vue").DefineComponent<PTextListProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<PTextListProps> & Readonly<{}>, {
    type: TextListType;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, ReturnType<typeof __VLS_template>>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
